%global __provides_exclude perl\\(Test::(More|Builder)\\)
%global __requires_exclude_from %{_docdir}/%{name}

%define with_guile 0
%{?_with_ruby: %{expand: %%global with_ruby 1}}

%define with_ocaml 0
%{?_with_ruby: %{expand: %%global with_ruby 1}}

%define with_mono 0
%{?_with_ruby: %{expand: %%global with_ruby 1}}

Name: swig
Version: 4.2.1
Release: %mkrel 1
Summary: Simplified Wrapper and Interface Generator (SWIG)
License: BSD-like
Group: Development/Other
URL: http://www.swig.org/
Source0: http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.xz

BuildRequires: bison
BuildRequires: imake
%if %{with_guile}
BuildRequires: guile-devel
%endif
%if %{with_ocaml}
BuildRequires: ocaml
%endif
%if %{with_mono}
BuildRequires: mono
BuildRequires: mono-devel
%endif
BuildRequires: lib64lua5.3-devel
BuildRequires: lib64pcre2-devel
BuildRequires: libstdc++-devel
BuildRequires: boost-devel
BuildRequires: perl-devel
BuildRequires: php-devel
BuildRequires: python-devel
BuildRequires: ruby-devel
BuildRequires: tcl-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes: swig-devel

%description
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.


%package        doc
Summary:        Documentation and examples for %{name}
Group:          Documentation
BuildArch:	    noarch
Requires:       %{name}

%description    doc
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.

Install the %{name}-doc package if you want to look at example and 
documentation.


%prep
%autosetup -p1

%build
./autogen.sh
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std 

# Remove all arch dependent files in Examples/
find %{buildroot} -type f -name 'Makefile.in' -delete -print

# We don't want to ship files below.
find %{buildroot} -type f -name '*.dsp' -delete -print
find %{buildroot} -type f -name '*.dsw' -delete -print


%clean
%{__rm} -rf %{buildroot}

%files
%doc ANNOUNCE CHANGES CHANGES.current README TODO LICENSE
%defattr(-,root,root)
%{_bindir}/swig
%{_bindir}/ccache-swig
%{_datadir}/swig


%files doc
%defattr(-,root,root)
%doc Examples Doc/Manual

%changelog
* Sat Mar 02 2024 tex - 4.2.1-1pclos2024
- new version

* Tue Feb 13 2024 tex - 4.2.0-1pclos2024
- new version

* Tue Dec 26 2023 pp - 4.1.1-1pclos2024
- new version

* Sun Jun 06 2021 tex - 4.0.2-2pclos2021
- rebuild against updates

* Fri Nov 06 2020 tex - 4.0.2-1pclos2020
- new version

* Thu Feb 27 2020 tex - 4.0.1-2pclos2020
- rebuild against updates

* Sun Dec 29 2019 tex - 4.0.1-1pclos2019
- new version

* Sat May 18 2019 tex - 3.0.12-2pclos2019
- rebuild against updates

* Mon Sep 25 2017 bb2 <bb2> - 3.0.12-1pclos2017
- new version
- new gcc

* Mon Sep 25 2017 bb2 <bb2> - 3.0.8-2pclos2017
- rebuild against updates

* Fri Mar 11 2016 bb <bb> 3.0.8-1pclos2016
- update

* Sun Nov 15 2015 bb <bb> 3.0.7-1pclos2015
- update

* Fri Jul 10 2015 bb <bb> 3.0.5-1pclos2015
- update
